Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class XPathPatternContentSelector

    java.lang.Object
      org.apache.batik.bridge.svg12.AbstractContentSelector
          org.apache.batik.bridge.svg12.XPathPatternContentSelector

    public class XPathPatternContentSelector

extends AbstractContentSelector

A class to handle the XPath Pattern syntax for XBL content elements.

Nested Class Summary
`protected class` | `XPathPatternContentSelector.NSPrefixResolver` Xalan prefix resolver.
`protected class` | `XPathPatternContentSelector.SelectedNodes` Implementation of NodeList that contains the nodes that matched this selector.

Nested classes/interfaces inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`AbstractContentSelector.ContentSelectorFactory, AbstractContentSelector.XPathPatternContentSelectorFactory, AbstractContentSelector.XPathSubsetContentSelectorFactory`

Field Summary
`protected org.apache.xpath.XPathContext` | `context` The XPath context.
`protected String` | `expression` The expression string.
`protected XPathPatternContentSelector.NSPrefixResolver` | `prefixResolver` The Xalan prefix resolver.
`protected XPathPatternContentSelector.SelectedNodes` | `selectedContent` The selected nodes.
`protected org.apache.xpath.XPath` | `xpath` The XPath expression.

Fields inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`boundElement, contentElement, contentManager, selectorFactories`

Constructor Summary
`XPathPatternContentSelector(ContentManager cm, XBLOMContentElement content, Element bound, String selector)` Creates a new XPathPatternContentSelector.

Method Summary
`NodeList` | `getSelectedContent()` Returns a list of nodes that were matched by the given selector string.
`protected void` | `parse()` Parses the XPath selector.

Methods inherited from class org.apache.batik.bridge.svg12.AbstractContentSelector
`createSelector, isSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefixResolver

    protected XPathPatternContentSelector.NSPrefixResolver prefixResolver

  The Xalan prefix resolver.

### xpath

    protected org.apache.xpath.XPath xpath

  The XPath expression.

### context

    protected org.apache.xpath.XPathContext context

  The XPath context.

### selectedContent

    protected XPathPatternContentSelector.SelectedNodes selectedContent

  The selected nodes.

### expression

    protected String expression

  The expression string.

Constructor Detail

### XPathPatternContentSelector

    public XPathPatternContentSelector(ContentManager cm,
                                       XBLOMContentElement content,
                                       Element bound,
                                       String selector)

  Creates a new XPathPatternContentSelector.

Method Detail

### parse

    protected void parse()

  Parses the XPath selector.

### getSelectedContent

    public NodeList getSelectedContent()

  Returns a list of nodes that were matched by the given selector string.

  Specified by:
    `getSelectedContent` in class `AbstractContentSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.